// -*- C++ -*-

/* 
 * GChemPaint library
 * dialog.h 
 *
 * Copyright (C) 2001-2004
 *
 * Developed by Jean Bréfort <jean.brefort@normalesup.org>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 * USA
 */

#ifndef GCHEMPAINT_DIALOG_H
#define GCHEMPAINT_DIALOG_H
#include <glade/glade.h>
#include <gtk/gtk.h>

enum gcpCheckType
{
	gcpNoCheck,
	gcpMin,
	gcpMax,
	gcpMinMax,
	gcpMinEq,
	gcpMaxEq,
	gcpMinEqMax,
	gcpMinMaxEq,
	gcpMinEqMaxEq
};

class gcpApplication;
	
class gcpDialog
{
public:
	gcpDialog(gcpApplication* App, const char* filename, const char* windowname, void (*extra_destroy)(gpointer) = NULL, gpointer data = NULL);
	virtual ~gcpDialog();

	virtual void Destroy();
	virtual bool Apply();
	void Help();
	GtkWindow* GetWindow() {return dialog;}

protected:
	bool GetNumber(GtkEntry *Entry, double *x, gcpCheckType c = gcpNoCheck, double min = 0, double max = 0);

	void (*m_extra_destroy)(gpointer);
	gpointer m_data;
	GladeXML* xml;
	char m_buf[64];
	gchar* m_windowname;
	GtkWindow *dialog;
	gcpApplication *m_App;
};

#endif //GCHEMPAINT_DIALOG_H
