// -*- C++ -*-

/* 
 * GChemPaint library
 * mendeleiev.h 
 *
 * Copyright (C) 2001-2004
 *
 * Developed by Jean Bréfort <jean.brefort@normalesup.org>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 * USA
 */

#ifndef GCHEMPAINT_MENDELEIEV_H
#define GCHEMPAINT_MENDELEIEV_H

#include "dialog.h"
#include <gcu/gtkperiodic.h>

class gcpMendeleievDlg: public gcpDialog
{
public:
	gcpMendeleievDlg(gcpApplication* App, int Z = 0);
	virtual ~gcpMendeleievDlg();
	
	void OnElement(int Z);
	void SetCallBack(void (*f)(void*, int), void* data);
	static void SetElement (gcpApplication* App, int Z);
	
private:
//	GtkWidget* m_button;
	int m_Z;
	void* m_data;
	void (*apply)(void*, int);
	GtkPeriodic* periodic;
};

#endif // GCHEMPAINT_MENDELEIEV_H
